#pragma once

#include "ofMain.h"

class ofApp : public ofBaseApp{
	
	public:
		
		void setup();
		void update();
		void draw();
		
		void keyPressed(int key);
		void keyReleased(int key);
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased(int x, int y, int button);
		void windowResized(int w, int h);
		void dragEvent(ofDragInfo dragInfo);
		void gotMessage(ofMessage msg);		
		
		ofVideoGrabber 		vidGrabber;
		ofVideoGrabber		surfaceKamera;
		ofTexture			videoTexture;
		int 				camWidth;		//globale Variable fr die Auflsungsbreite
		int 				camHeight;		//globale Variable fr die Auflsungshhe

		typedef struct punkt {
		int x;								//X-Wert des Punktes
		int y;								//Y-Wert des Punktes
		double helligkeit;					//Helligkeitswert des Punktes
		} Punkt;

		ofSerial mySerial;					//Initialisieren einer ofSerial-Verbindung
};
